show_video_bitmap(3)

NAME
show_video_bitmap - Flips the hardware screen to use the specified page. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int show_video_bitmap(BITMAP *bitmap);

DESCRIPTION
Attempts to page flip the hardware screen to display the specified video bitmap object, which must be the same size as the physical screen, and should have been obtained by calling the create_video_bitmap() function. Allegro will handle any necessary vertical retrace synchronisation when page flipping, so you don't need to call vsync() before it. This means that show_video_bitmap() has the same time delay effects as vsync() by default. This can be adjusted with the "disable_vsync" config key in the [graphics] section of allegro.cfg. Example:
   int current_page;
   BITMAP *video_page[2];
   ...
   /* Create pages for page flipping */
   video_page[0] = create_video_bitmap(SCREEN_W, SCREEN_H);
   video_page[1] = create_video_bitmap(SCREEN_W, SCREEN_H);
   current_page = 0;
   ...
   /* draw the screen and flip pages */
   draw_screen(video_page[current_page]);
   show_video_bitmap(video_page[current_page]);
   current_page = (current_page+1)%2;
   ...

RETURN VALUE
Returns zero on success and non-zero on failure.

SEE ALSO
scroll_screen(3), create_video_bitmap(3), exaccel(3), exflip(3), exupdate(3)